Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005323 [JEDI VCL] 02 Installation major have not tried 2010-09-06 01:53 2012-02-29 16:53
Reporter jfudickar View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005323: Problem after adding SMImport Support to the JvDB-R.xml
Description Hi,

after adding the following line to the xml-file
    <Package Name="SMImportXEr" Targets="d15" Condition="USE_3RDPARTY_SMIMPORT"/>

I've got the error message "SMImportXEr.bpl not found."
The problem is that the option is not activated in the include file.

And more funny:
Then I press "ok" and after that "< Back" and "Install".
No I've got "Package 'SMExportD7.bpl" not found. (In the jvcld7.inc smexport is also not activated).
Then i close the installer and call again "makemodified.bat" and the D7 is compiled without any problems :-)

Kind regards
Jens
Additional Information
Tags No tags attached.
Attached Files ? file icon jvcld12.inc [^] (6,523 bytes) 2010-10-04 23:36
? file icon jvcld14.inc [^] (6,525 bytes) 2010-10-04 23:36
? file icon jvcld15.inc [^] (6,451 bytes) 2010-10-04 23:36
? file icon JvDB.dpk.d12 [^] (4,182 bytes) 2010-10-04 23:37
? file icon JvDB.dpk.d14 [^] (4,182 bytes) 2010-10-04 23:37
? file icon JvDB.dpk.d15 [^] (4,176 bytes) 2010-10-04 23:38

- Relationships

-  Notes
(0017740)
jfudickar (developer)
2010-10-01 23:18

Now I could describe the situation better.

The list of checked options is not resetted for each compiler version.

In the moment that a special option is activated in a compiler version it could not be deactivated in a later version.

Example:
SMExport is activated in D2010 and deactivated in DXE.

In Delphi XE the SMExport is also in the JVDB.dpk included.
(0017741)
obones (administrator)
2010-10-04 08:38

This should not happen, unless you have not specifically selected the IDE version in the installer but instead left the "all version" item selected
(0017742)
jfudickar (developer)
2010-10-04 23:35

Hi Olivier,

I know that it should not happen, but ... :-)

And a "all version" checkbox/option does not exists for the version JVCL<version>.inc file. These options only could be changed version by version

Have a look at the attached files.

I've activated SMImport/SMExport in D2009, and deactivated them in D2010, DXE.
You can see this in the attached include files.
But if you have a look into the generated JVCB.dpk files, you can see that the SMImport/SMExport options are part of the requires sections for D2010 and DXE.

And this leads to problems, if they don't exist.

Kind regards
Jens
(0017873)
obones (administrator)
2010-10-11 11:19

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2010-09-06 01:53 jfudickar New Issue
2010-10-01 23:18 jfudickar Note Added: 0017740
2010-10-04 08:38 obones Note Added: 0017741
2010-10-04 23:35 jfudickar Note Added: 0017742
2010-10-04 23:36 jfudickar File Added: jvcld12.inc
2010-10-04 23:36 jfudickar File Added: jvcld14.inc
2010-10-04 23:36 jfudickar File Added: jvcld15.inc
2010-10-04 23:37 jfudickar File Added: JvDB.dpk.d12
2010-10-04 23:37 jfudickar File Added: JvDB.dpk.d14
2010-10-04 23:38 jfudickar File Added: JvDB.dpk.d15
2010-10-11 11:12 obones Status new => confirmed
2010-10-11 11:19 obones Note Added: 0017873
2010-10-11 11:19 obones Status confirmed => resolved
2010-10-11 11:19 obones Fixed in Version => Daily / SVN
2010-10-11 11:19 obones Resolution open => fixed
2010-10-11 11:19 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker